package com.persagy.dmp.file.context;

import lombok.Data;
import lombok.EqualsAndHashCode;

/***
 * Description: 旧文件服务使用的路径对象
 * @author : lijie
 * @date :2021/11/18 18:34
 * Update By lijie 2021/11/18 18:34
 */
@Data
@EqualsAndHashCode
public class OldFileContext {

    /** 序列id */
    private static final long serialVersionUID = 697592850956445675L;
    /** 请求用户id */
    public static final String SYSTEM_ID = "systemId";
    /** 密码 */
    public static final String SECRET = "secret";
    /** 文件key */
    public static final String KEY = "key";
    /** 常用的systemId */
    public static final String DATA_PLATFORM = "dataPlatform";
    /** 常用的systemId */
    public static final String REVIT = "revit";

    /** 集团编码 - 租户 */
    private String systemId;
    /** 用户主键 */
    private String secret;
    /** 数据源名称 */
    private String key;

}
